Bug 195737 - OQL - fields property of Class object broken
OQL - fields property of Class object broken
Status: RESOLVED FIXED
Product: profiler
Classification: Unclassified
Component: Engine
6.x
All All
: P3 (vote)
: 7.0
Assigned To: Tomas Hurka
issues@profiler
: VISUALVM
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-02-21 08:31 UTC by Tomas Hurka
Modified: 2011-02-24 15:59 UTC (History)
0 users

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Tomas Hurka 2011-02-21 08:31:48 UTC
fields property of Class object should return array of field objects. Field object has name, signature properties.

So this OQL query 
select map(heap.findClass("java.util.HashMap").fields, "it.name")
should return:
entrySet
modCount
loadFactor
threshold
size
table

currently it returns list of static field names:
serialVersionUID
DEFAULT_LOAD_FACTOR
MAXIMUM_CAPACITY
DEFAULT_INITIAL_CAPACITY
Comment 1 Tomas Hurka 2011-02-21 09:29:37 UTC
Fixed in profiler-main

changeset:   189147:45a5857c2823
user:        Tomas Hurka <thurka@netbeans.org>
date:        Mon Feb 21 10:19:05 2011 +0100
summary:     bugfix #195737, class fields attribute fixed to return names and signatures of the instance fields
Comment 2 Quality Engineering 2011-02-23 05:30:02 UTC
Integrated into 'main-golden', will be available in build *201102230001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/45a5857c2823
User: Tomas Hurka <thurka@netbeans.org>
Log: bugfix #195737, class fields attribute fixed to return names and signatures of the instance fields


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo